const webpack = require('webpack')
const merge = require('webpack-merge')
const common = require('./webpack.common')

const dev = {
  mode: 'development',
  devtool: 'inline-source-map',
  devServer: {
    host: '0.0.0.0',
    port: 3000,
	public: 'localhost:3000',
    open: true
  },
  plugins: [
    new webpack.DefinePlugin({
      __DEV__: JSON.stringify(JSON.parse(process.env.BUILD_DEV || 'true')),
      __BUILD_TYPE__: '\'web\'',
      __GA_GAMEKEY__: '\'\'',
      __GA_SECRETKEY__: '\'\'',
      __GDPR_URL__: '',
      __SERVICES_URL__: '',
	  __ADMOB_APP_ID__: '',
	  __ADMOB_INTERSTITIAL_ID__: '',
	  __FACEBOOK_APP_ID__: ''
    })
  ]
}

module.exports = merge(common, dev)
